DH_JAVADOC(1)

NAME
dh_javadoc - generate javadoc documentation and install in package directory

SYNOPSIS
dh_javadoc [debhelper options] [-p<package>] [--sourcedir source path] [Java packages]

DESCRIPTION
dh_javadoc is a debhelper program that is responsible for generating HTML Java documentation and installing it in package directories. This should be done in the documentaion package of all Java libraries. Normal Java programs should not be supplied with javadoc documentation (neither in their main package or in a separate documentation package)

Any package specified as parameters will be installed into the first package dh_javadoc is told to act on. Use of the standard debhelper -p option is highly recommended.

A file named debian/package.javadoc may list additional packages to have documentation generated. These should be separated by new lines.

When the Java policy is modified, this script will also install links to the documentation in a common place so that javadoc pages may be interlinked; and also provide a substitution variable for documentation package dependencies.

Javadoc generation is done using gjdoc, currently the only free javadoc implementation. When new features are added to this (such as overview files), this script will be modified accordingly.

OPTIONS

--sourcedir source path
    Specify the source path in which to look for Java source files.

Java packages
    Names of Java packages to be documented.

TODO

+   Check parameters more carefully.

+   Add substvar for documentation dependencies

+   Don't put the 'common' directory in all packages - refer to one in /usr/share/gjdoc & insist on creating that dependency

+   Other items depend on gjdoc improvements:

    -   Add package listings to common directory

    -   Generate dependency substvar based on additional doc packages used.

SEE ALSO
debhelper(7)

This program is designed similar to debhelper

AUTHOR
Mark Howard <mh@debian.org>